Package com.microblink.blinkid.entities.recognizers.blinkid.generic

# Class DependentInfo

java.lang.Object
com.microblink.blinkid.entities.recognizers.blinkid.generic.DependentInfo

All Implemented Interfaces:
  `android.os.Parcelable`

public final class DependentInfo extends Object implements android.os.Parcelable
The dependent info.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from interface android.os.Parcelable

  `android.os.Parcelable.ClassLoaderCreator<T extends Object>, android.os.Parcelable.Creator<T extends Object>`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final android.os.Parcelable.Creator<DependentInfo>`
  `CREATOR`

  ### Fields inherited from interface android.os.Parcelable

  `CONTENTS_FILE_DESCRIPTOR, PARCELABLE_WRITE_RETURN_VALUE`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static DependentInfo`
  `createFromNative(DateResult dateOfBirth, StringResult sex, StringResult documentNumber, StringResult fullName)`
  This method is called from native code to build `DependentInfo` from native object.
  `int`
  `describeContents()`
  `DateResult`
  `getDateOfBirth()`
  The date of birth of the dependent.
  `StringResult`
  `getDocumentNumber()`
  The document number of the dependent.
  `StringResult`
  `getFullName()`
  The full name of the dependent.
  `StringResult`
  `getSex()`
  The sex or gender of the dependent.
  `boolean`
  `isEmpty()`
  Checks whether data is empty.
  `String`
  `toString()`
  `void`
  `writeToParcel(android.os.Parcel dest, int flags)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### CREATOR

    public static final android.os.Parcelable.Creator<DependentInfo> CREATOR

- ## Method Details

  - ### getDateOfBirth

    @Nullable public DateResult getDateOfBirth()
    The date of birth of the dependent.

  - ### getSex

    @Nullable public StringResult getSex()
    The sex or gender of the dependent.

  - ### getDocumentNumber

    @Nullable public StringResult getDocumentNumber()
    The document number of the dependent.

  - ### getFullName

    @Nullable public StringResult getFullName()
    The full name of the dependent.

  - ### isEmpty

    public boolean isEmpty()
    Checks whether data is empty. Data is empty if all fields are empty.
    Returns:
      `true` if data is empty, false otherwise.

  - ### toString

    @NonNull public String toString()
    Overrides:
      `toString` in class `Object`

  - ### createFromNative

    public static DependentInfo createFromNative(@Nullable DateResult dateOfBirth, @Nullable StringResult sex, @Nullable StringResult documentNumber, @Nullable StringResult fullName)
    This method is called from native code to build `DependentInfo` from native object.

  - ### describeContents

    public int describeContents()
    Specified by:
      `describeContents` in interface `android.os.Parcelable`

  - ### writeToParcel

    public void writeToParcel(@NonNull android.os.Parcel dest, int flags)
    Specified by:
      `writeToParcel` in interface `android.os.Parcelable`